#@ load("@ytt:overlay", "overlay")

#@overlay/match by=overlay.all, expects="1+"
---
#@overlay/match-child-defaults missing_ok=True
spec:
  ignoreDifferences:
    - group: apps
      kind: StatefulSet
      jqPathExpressions:
        - .spec.volumeClaimTemplates
  syncPolicy:
    #@overlay/match missing_ok=True
    syncOptions:
      #@overlay/append
      - RespectIgnoreDifferences=true
